2.0.0 RC 3 (24/08/2020):
  Added support for MSCF installers
  Added support for Amiga Disk Files using unADF
  Added support for PDF files using Xpdf command line tools
  Added support for hundreds of game archives using GARbro
  Added support for Godot engine packages using godotdec
  Added support for Actual Installer executables
  Added support for Clickteam Install Creator installers using cicdec
  Added support for newer Symbian Os packages using extsis (plugin)
  Added unshield as the default extractor for InstallShield cab files, thanks to TAbdiukov
  Fixed some installers being misdetected as InstallShield
  Fixed swf exe extraction not terminating correctly
  Fixed console window always being visible for extractions using definition files
  Fixed file identification not working correctly for a few big executables
  Fixed Wise extraction methods 3 and 4 always failing
  Fixed some executables not being tested with 7zip
  Fixed some FMOD sound banks not being fully extracted, thanks to Sakkade
  Fixed some zip extractions being detected as failed, although they completed successfully
  Fixed 'NScripter archive' false positives
  Fixed problems with BCM, Bink, CHM, CreateInstall, FEAD, InstallShield Z, MSP, Reflexive Arcade Installers,
					  SQLite, SuperDAT, SWF, Thinstall, UU, VMDK, WMA extraction
  Fixed ttarch extraction failing if UniExtract's path contains spaces, thanks to wwh1004
  Fixed 'Game Select' dialog being displayed in silent mode
  Fixed batch mode not being enabled if directory is passed via command line
  Fixed some extracted files could be lost if moving the file/folder failed, thanks to patrickdrd
  Fixed context menu items not being shown if more than 15 files are selected
  Fixed several UI issues, thanks to stdedos and wvxwxvw
  Fixed rare problem during program files updates preventing some files from being downloaded correctly
  Fixed crash when trying to send feedback while offline
  Fixed possible extraction failure if file/directory locks could not be released quick enough
  Fixed problems enabling context menu integration
  Changed Wise extraction: E_WISE is now used automatically, the method select dialog only appears if it fails
  Changed output directory input field to autofill after typing an input file path
  Changed design/usability of 'Unknown file type', 'Plugin missing', 'No language file found' and 'Unsupported file type' error messages; FFmpeg and feedback prompts;
							  'Batch mode duplicate' warning
  Changed drag and drop: when a folder is passed, all files in subfolders are added to batch mode as well
						(this can be disabled by adding batchrecurse=0 to section 'UniExtract Preferences' in UniExtract.ini)
  Changed 'Remember window position' option to also store window size, thanks to ltdeta
  Improved speed of file type detection
  Improved file type detection for .eml, .mht, .xz, some game archives
  Improved detection of multipart archives when adding files to batch queue
  Improved error detection for encrypted archives
  Improved Visionaire extraction for many games: fixed file naming and corrupt webp images
  Updated cicdec to 2.1.0
  Updated demoleition to 0.61
  Updated EnigmaVB unpacker to 0.58
  Updated ExeInfo PE to 0.0.6.0
  Updated godotdec to 2.1.0
  Updated innounp to 0.49
  Updated lzop to 1.04
  Updated MediaInfo to 20.03
  Updated mtee to 2.21
  Updated PeaZip to 0.72
  Updated Qt Linguist to 5.13.2
  Updated QuickBMS to 0.10.1
  Updated SQLite to 3.31.1
  Updated UnRAR to 5.91; added x64 version
  Updated unrpa to 2.3.0
  Updated unshield to 1.4.d14d2e2 x86, thanks to lifenjoiner
  Updated upx to 3.96
  Updated WiX to 3.11.2
  Updated Bulgarian translation, thanks to jekovcar
  Updated Chinese (Simplified) translation, thanks to SeaHOH
  Updated Dutch translation, thanks to Wouterdek
  Updated French translation, thanks to Pierre le Lidgeu and zorbao
  Updated German translation, thanks to Mr-Update
  Updated Hungarian translation, thanks to hevesij
  Updated Japanese translation, thanks to maboroshin
  Updated Polish translation, thanks to Barnaba
  Updated Portuguese (Brazilian) translation, thanks to igorruckert
  Updated Russian translation, thanks to wvxwxvw
  Updated Turkish translation, thanks to MinTR and Yakup Kök
  Removed Arc-reader, brunsdec, Crass/Crage, disunity and ns2dec, replaced with GARbro
  Removed XAce, replaced with acefile
  Removed Extract NT, replaced with 7zip
  Removed ExtractMht and MhtUnPack, replaced with 7zip and TotalObserver
  Removed GCFScape and STIX, replaced with TotalObserver
  Removed wtee, replaced with mtee

2.0.0 RC 2b (14/03/2019):
  Fixed updater not downloading the correct version of UniExtract if 'Install beta updates' option is enabled
  Changed preferences dialog: after changing 'Install beta updates' UniExtract now automatically searches for updates

2.0.0 RC 2 (13/03/2019):
  Added support for InstallScript installers
  Added support for .bsa, .ba2 archives using BSA Browser
  Added support for .pex scripts using Champollion
  Added support for Bruns Engine encrypted files
  Added support for .mo translation files using GNU gettext
  Added support for .qm translation files using Qt Linguist
  Added support for encrypted .wolf archives using WolfDec (plugin)
  Added support for StuffIt X archives
  Added support for install4j installers
  Added TotalObserver as additional extractor choice for InstallShield
  Added nightly update channel
  Added changelog to update found message box
  Added progress bar while search for update is in progress as the new updater might need more time than the old one on some systems
  Added build date to 'About' window and feedback data
  Added beta update channel
  Added 'Open most recent log file' menu item
  Fixed first-start assistant not being displayed when running from command line
  Fixed language setting being reset if language file does not exist
  Fixed UI images not being loaded if starting UniExtract from context menu
  Fixed extraction from context menu if UniExtract is in scan mode
  Fixed some files being misdetected as disk images
  Fixed status box not being updated for some file types
  Fixed MSI extraction failing for some files, which were supported in previous versions of Universal Extractor, thanks to mzso
  Fixed some options ('Open folder after extraction', 'Keep Open') being ignored and UniExtract not exiting as intended 
	   (setting exit code, delete empty output directory) after certain message boxes, thanks to davidhbrown
  Fixed some problems with file names containing non-ASCII characters
  Fixed GUI being cut off if Windows font scaling is enabled
  Fixed NSIS bin files extraction: prevented error message for every bin file; status box now displays correct file information
  Fixed 'Update failed' error message on every start of UniExtract if not connected to the internet
  Changed preferences dialog: redesigned GUI, added option to remove additional files, replaced numeral update interval 
							  with daily, weekly, etc. presets, removed timeout setting, added beta update setting
  Changed file scan results message box: the name of the detector is now shown along with its result, output can now be
										 selected and copied easily
  Changed first start assistant: removed 2 pages and changed some wording
  Changed msi extraction: added method selector prompt if the default extractor fails
  Changed plugin file selector to use 'Downloads' folder as default
  Improved file scan results for non-executable files
  Improved UniExtract logo quality
  Improved text quality for several dialogs
  Removed RPGMaker Decrypter plugin, replaced with RGSS Decryptor CLI
  Removed mpq plugin, replaced with built-in TotalObserver
  Removed StuffIt Expander, replaced with unar
  Removed FLV Extract CL, decompression is done with FFMPEG instead
  Updated 7Zip to 19.00
  Updated demoleition to 0.60
  Updated EnigmaVB unpacker to 0.55
  Updated fsbext to 0.3.8
  Updated innounp to 0.48
  Updated lessmsi to 1.6.1 mod
  Updated QuickBMS to 0.9.0
  Updated rmvdec to 1.1.0
  Updated SQLite to 3.25.1
  Updated ttarchext to 0.3.1a
  Updated VISExt to 2.2.6777.0
  Updated ZPAQ to 7.15
  Updated Czech translation, thanks to DžejPý
  Updated Chinese (Simplified) translation, thanks to deluxghost
  Updated Chinese (Traditional) translation, thanks to jfcherng
  Updated Croatian translaton, thanks to Alen Bajo
  Updated Finnish translation, thanks to jyrkive
  Updated Greek translation, thanks to gvp9000
  Updated Italian translation, thanks to NAMP and tfr
  Updated Japanese translation, thanks to wakaizumo
  Updated Korean translation, thanks to 까꿍
  Updated Polish translaton, thanks to Barnaba and dmocha
  Updated Portuguese (Brazilian) translation, thanks to igorruckert
  Updated Russian translation, thanks to wvxwxvw
  Updated Spanish translation, thanks to GGobbi
  Updated Ukrainian translation, thanks to YuriPet

2.0.0 RC 1 (03/08/2018):
  Added support for WiX installers
  Added support for Spoon installers
  Added support for .rpgmvp files
  Added support for .utage files
  Added support for MDF image files
  Added support for Smacker video files
  Added support for ECM compressed disk images
  Added support for swf executables
  Added support for OGG Vorbis audio files
  Added support for Mole Box executables
  Added support for NScripter version 2 archives using ns2dec
  Added support for Smile Game Builder archives
  Added support for UNC paths
  Added support for Lzip archives
  Added support for Visionaire game archives
  Added 'Open Log Directory' menu item
  Added 'Open Configuration File' menu item
  Added detection support for encrypted fsb files
  Added check on start to make sure a language file exists
  Added Right to left UI mirroring for Arabic, Farsi and Hebrew; thanks to peterooch
  Added new error messages: not enough free disk space, missing part for multipart archives
  Fixed MS SFX hotfix extraction
  Fixed 'Open folder after extraction' being always disabled when UniExtract is opened with command line parameters
  Fixed cleanup for .chm and EnigmaVB files
  Fixed error message after failed iso extraction: choices were mixed-up
  Fixed missing file type information in NOTPACKED error message for FFMPEG extraction
  Fixed missing packer name in unpack prompt
  Fixed extractors not being found on some systems
  Fixed pea extraction writing to wrong directory
  Fixed cascading context menu for supported Windows Server operating system versions
  Fixed 'Always on top' option not being saved
  Fixed endless detection loop occuring for some .exe files
  Fixed missing minimize controls
  Fixed status box for .swf extraction
  Fixed extraction being detected as failed if the output directory is a drive, not a folder
  Fixed FFMPEG download/installation problems
  Fixed progress display performance in status box and pattern detection
  Fixed certain files being ignored by cleanup function
  Fixed crash when trying to open preferences GUI if /lang directory does not exist
  Fixed log files size display in file menu, if log directory is set to a location, which does not exist
  Fixed DGCA plugin installation
  Fixed language selection list not being scrollable
  Fixed some context menu GUI items not being translated after language change
  Fixed 'Not an InstallShield installer' option in MethodSelector not starting additional scans
  Fixed output directory not being deleted after failed extraction (unicode mode only)
  Fixed video extraction failing for files starting with -
  Fixed error message when starting batch mode
  Changed feedback GUI design, removed unneeded input fields
  Changed feedback GUI to always pre-fill output field
  Changed .nrg extraction method to use 7zip for improved unicode support
  Changed .arj extraction to use 7z instead of arj
  Changed .hlp extraction: improved logging, localized file name
  Changed extraction to subdirectory: "."-character is now replaced to prevent collisions with existing files
  Changed updater: each file is now updated on its own instead of using update packages, this way extractors can be 
				   updated much easier and faster; administrator rights are now only necessary if the program directory
				   cannot be written to
  Changed plugin download: URLs are no longer hardcoded; instead they are requested from the server, so when something goes offline
						   UniExtract does not have to be updated to fix the link
  Replaced Unreal Engine package extractor with Umodel
  Removed redundant 64-bit MediaInfo dll
  Removed option to toggle support for game packages from settings GUI
  Updated 7zip to 18.01
  Updated EnigmaVB unpacker to 0.44, changed logic to use new command line parameter
  Updated Exeinfo PE to 0.0.5.0
  Updated unrar to 5.50
  Updated unrpa to 1.5.2
  Updated TrID to 2.24
  Updated unshield to 1.4
  Updated FFMPEG to 4.0.2
  Updated innounp to 0.47
  Updated Bulgarian translation, thanks to Jekov J.K.
  Updated French translation, thanks to zorbao
  Updated Chinese (Traditional) translation, thanks to jfcherng
  Updated Portuguese (Brazilian) translation, thanks to igorruckert
  Updated Greek translation, thanks to gvp9000
  Updated Russian translation, thanks to @wvxwxvw
  Updated Ukrainian translation, thanks to @YuriPet
  Updated Finnish translation, thanks to @jyrkive

2.0.0 Beta 4b (01/11/2016):
  Fixed msi extraction when UniExtract is installed in a directory, which contains spaces
  Fixed progress indicator for msi extractions
  Fixed rare error opening changelog after update

2.0.0 Beta 4 (25/10/2016):
  Added support for InstallAware installers
  Added support for .gif and apng files (FFMPEG)
  Added support for Enigma Virtual Box executables using EnigmaVB unpacker (plugin)
  Added support for Ghost Installer Studio installers
  Added support for Smart Install Maker installers (plugin)
  Added lessmsi for improved support for .msi files
  Added statistics GUI
  Added status box when moving/copying unicode files to temp directory
  Added timeout to some scan functions to prevent delays caused by unresponsive helper binaries
  Added extraction to last used directory command line option and context menu
  Changed forcing a single instance and auto-adding is now disabled if the extraction
		  is already finished and only the result message box is opened
  Changed unicode path logic: file is now copied instead of moved if it is on a different
		  drive than the temp directory
  Changed status box design
  Fixed multiple error messages being displayed on failed update check
  Fixed update message display problem
  Fixed possible problems when entering relative paths in main GUI input fields
  Fixed extraction not working when file directory contains unicode characters and
		there is not enough free space on the drive containing the temp folder
  Fixed free space check not taking unicode file moving into account
  Fixed .sit extraction
  Fixed crash when trying to extract wise installers
  Fixed swf extraction ignoring some images and sounds
  Removed DMGExtractor and replaced it with 7z
  Updated language files for Portuguese, Russian, Swedish, Italian
  Updated 7zip to 16.04
  Updated ExeInfoPE to 0.0.4.3
  Updated fsbext to 0.3.5
  Updated innounp to 0.46
  Updated QuickBMS to 0.7.5
  Updated ttarchext to 0.2.10

2.0.0 Beta 3 (25/06/2016):
  Added support for .mp3, .wmv and .wma files
  Added support for bcm compressed files using bcm
  Added support for zpaq archives using zpaq
  Added support for Android boot images using bootimg (plugin)
  Added support for Excelsior Installer executables
  Added support for ISO zipped image files using unisz
  Added status box to sfx script extraction
  Added output directory permission check
  Added update summary to update prompt
  Added back is5comp (plugin)
  Changed .exe detection logic for speed improvements
  Changed file type detection: TrIDLib is now used for extraction, TrID for scan only mode, the library
		  version is much faster but returns less additional information
  Changed settings directory: if UniExtract detects insufficient write permissions to its directory,
		  all settings are stored in %APPDATA%; this way multiple users on the same local system can
		  also have different preferences
  Changed .exe extraction: UniExtract will now terminate with a NOTPACKED error instead of using 
		  generic 7z extraction, which produces useless files
  Changed success evaluation: if files were overwritten the extraction was often evaluated as failed
  Changed success evaluation: improved failure detection
  Changed keepopen option: moved from edit menu to main GUI for better usability
  Fixed crash when clicking finish button in plugin GUI if no item has been selected before
  Fixed helper binaries execution failing if %comspec% environment variable is unset
  Fixed .pea detection
  Fixed .chm extraction
  Fixed .mht detection
  Fixed FreeArc extraction
  Fixed AdvancedInstaller extraction
  Fixed registry keys are now being deleted after scanning if they did not exist before for ExeInfo, PEid
  Fixed settings not being saved if UniExtract lays in program files directory due to lacking permission
  Fixed updating/FFMPEG download if user has no write permissions to UniExtract's directory
  Fixed free space check failing if output directory does not exist
  Fixed not enough free space dialog's 'Abort' button not working
  Fixed download progress indicator not being on top of first start GUI
  Fixed first start GUI now shows 'Installed' if FFMPEG already exists
  Fixed error message display bug for unicode files
  Fixed some wrong detections
  Fixed unicode multipart rar/7z archive extraction
  Fixed unpack prompt in some cases being displayed again after the user clicked 'no'
  Fixed 7zip check often returning true, even if the file cannot be extracted, leading to 'failed' extraction result
  Fixed crash in update message when UniExtract is run from command line and 'No' is clicked
  Fixed syntax help dialog closing automatically
  Fixed possible false positives when using checkNSIS function
  Fixed password detection for some .rar files
  Fixed some untranslated terms in MethodSelect GUI
  Removed globalprefs option and preference storage in registry
  Removed faad and flac, extraction is now handled by FFMPEG
  Removed unnecessary input file moves
  Removed 7zip 15.14, reverted to 15.05 as NSIS support was dropped from newer versions
  Updated ExeInfoPE to 0.0.4.1
  Updated peazip to 0.53/1.0
  Updated ttarchext to 0.2.9
  Updated Japanese translation, thanks to A. Inaba
  Updated Chinese (Simplified) translation, thanks to SeaHOH

2.0.0 Beta 2b (09/02/2016):
  Fixed crash when extracting .exe files
  Fixed encoding for Swedish language file

2.0.0 Beta 2 (08/02/2016):
  Added game mode: status box is not being displayed if a foreground fullscreen application is running
  Added /update command line parameter
  Added wrong password error message (exit code 10) for rar, 7z extractors
  Added support for CreateInstall installers (plugin)
  Added support for DGCA compressed files (plugin)
  Added support for pcm audio tracks in video files and .mxf files
  Added support for Advanced Installer installers
  Added support for SQLite databases, creates .sql command file
  Added fallback extension check for .assets files
  Added import function to plugin GUI to simplify plugin setup
  Fixed keepopen option not working after batch mode finished
  Fixed SQLite dlls not being found
  Fixed help command line parameter
  Fixed storeguiposition and checkgame options not being saved
  Fixed extraction failing for Gentee Installer, Installer VISE and Setup Factory
  Fixed preferences and context menu GUI label width for some translations
  Fixed updating 7zip binaries
  Changed error message if no tracks to be extracted in video file
  Changed WarnExecute messages to include full paths instead of untranslated '<outdir>'
  Updated innounp to 0.45
  Updated unrar to 5.31 Beta 1
  Updated 7zip to 15.14
  Updated extraction script for Visionaire files
  Updated finnish translation, thanks to Jyrki Vesterinen
  Updated portuguese (Portugal) translation, thanks to Luis Neves
  Updated russian translation, thanks to an anonymous contributor
  Updated Portuguese (Brazilian) translation, thanks to Igor Rückert

2.0.0 Beta 1 (01/01/2016):
  Added support for Ren'Py game engine's .rpa archives using unrpa
  Added support for Unreal Engine packages (.u, .uax, .upk) using Unreal Package Extractor (plugin)
  Added support for Telltale game archives (.ttarch)
  Added support for Livemaker games via crass/crage (plugin)
  Added support for .aac audio files (decompress to wav) using faad (plugin)
  Added support for .flac audio files using flac
  Added support for FreeArc compressed archives (.arc) using FreeArc unpacker
  Added support for .mpq archives using MPQ Plugin for Total Commander (plugin)
  Added support for .sfArk files using sfarkxtc
  Added filescan with MediaInfo dll to provide additional information on media files (scan only mode)
  Added delay to update script to prevent 'not found' error, changed execution parameter
  Added 'Open program directory' help menu entry
  Added file metadata (filesize, creation date,...) to log file when 'Ask for feedback' is enabled
  Added timeout exit message
  Added additional weblinks to help menu
  Added option to disable video track extraction
  Added support for Windows 10
  Added explaining tooltips to some options
  Added option to always keep GUI in foreground
  Added tooltips to batch queue view
  Added support for password list for .rar, .zip and .7z archives
  Added input file not found error message
  Fixed after update behaviour when other versions of UniExtract are installed
  Fixed last update date not beeing saved when an update was found
  Fixed AutoIt error message in first start GUI when no language file was found, now exits with error code 99
  Fixed possible infinite loop in run function when helper binary execution terminates too fast, resulting in UniExtract not 
        shutting down after successful extraction
  Fixed BMS scripts were not checked if GAUP detected files, but was unable to extract them
  Fixed game archive detection if file extension is not lower case
  Fixed detection of Matroska files, extraction of ogg and webm tracks in video files
  Fixed context menu GUI: alluser checkboxes not clickable despite having admin rights
  Fixed video extraction: multiple audio/video tracks had same names when extracted, so FFMPEG always asked to overwrite, 
        now type(audio/video) and number of track for each type is added as well as the track's language
  Fixed folder size calculation in status box did not work correctly for FFMPEG and probably others
  Fixed moving unicode tempfiles to output directory created subdirectory with temporary name
  Fixed feedback success evaluation
  Fixed some terms not using translation files
  Fixed NSIS extraction overwriting existing files; UniExtract still creates not useful output files for some custom NSIS installers
		but all content is now kept in output directory
  Fixed occasionally high CPU load when reading console output
  Fixed tray exit handler not terminating all helper binaries
  Fixed FFMPEG updater
  Fixed swf: extraction of .jpg files; performance slightly increased
  Fixed GameSelect GUI: not a game message is now always the first element and preselected
  Fixed unicode files are changed to ???????? and therefore fail to extract when adding them to batch queue
  Fixed unicode files' extraction to subdir folder name
  Fixed rar extraction returning success if there was a write error or access denied message
  Fixed slowdown when extracting to drive root directory caused by size calculation
  Fixed /prefs command line parameter not working
  Fixed help screen closing after 15 seconds when opened from command line
  Fixed some untranslated terms
  Fixed rounding issues in free space check when using batch mode
  Fixed error when trying to open SQLite database
  Fixed scan only command being queued if batch mode is active
  Fixed log file naming special cases
  Changed percentage indicator detection to include float percentage values
  Changed percentage indicator detection to include pattern x/y
  Changed user input needed message should be more visible now
  Changed check for update behaviour: check is only performed on start if GUI is opened; if run from command line or context menu,
		  it will be done right before terminating, so extraction/scan will not abort after installing update
  Changed internal behaviour for extraction and game select functions
  Changed language files, added new %name term to reduce %s usage
  Changed FFMPEG is now downloaded to the correct subdirectory (x86/x64), so the appropriate version is used in portable mode on 
		  different operating systems
  Changed feedback GUI now displays privacy agreement before sending	
  Changed after update behaviour, most recent changelog is now opened
  Changed translation files, removed %s variables and introduced numbered placeholders, that can be switched to 
		  fit a language's word order; added %name shortcut
  Changed unicode files are now renamed instead of moving them to a temporary directory if possible
  Changed inno setup extraction to rename ',1' files to avoid extracted programs not finding some files
  Changed GUI design on Windows 10 systems to fit standard window style
  Changed multiple part rar files are now added only once to batch queue, so it is possible to drag and drop 
		  all rar files onto UniExtract without having to deal with 'file exists' prompts
  Disabled directory size calculation when extracting to drive to prevent significant slow down
  Removed 64 bit iso.wcx plugin as it does not work correctly with QuickBMS
  Replaced booz with unzoo (adds support for 64 bit systems, longer filenames, logging)
  Replaced tee with mtee (adds support for unicode and longer filenames, smaller)
  Replaced tee with wintee (Windows 10 only, due to mtee not terminating fast enough)
  Updated AutoIt to 3.3.14.1
  Updated unrar to 5.21
  Updated fsbextract to 0.3.4a
  Updated exeinfo PE to 0.0.3.8
  Updated disunity to 0.3.4
  Updated quickbms to 0.6.5
  Updated innounp to 0.43
  Updated language files, added new terms to all language files, set encoding to UTF-16, updated translation info text,
		  changed %s to %name and %1, %2,...

1.6.1 (05/12/2010):

  Added support for environmental variables (eg., specify %temp% for debug dir)
  Added support for XZ compressed files and txz/tlz archives via 7-Zip
  Added support for Windows Installer merge modules (.msm) via MsiX
  Added support for NBH files via NBHextract
  Added translations for Armenian, Czeck, Persian (Farsi), Serbian, Swedish
  Changed 7-Zip unpacking behavior;
          now attempts brute force extraction only after External PEiD scan;
          change due to aggressive .exe resource extraction in new versions
  Changed Windows installer support (.msi, .msp) to use MsiX instead of msi2xml
  Changed LZMA support to use 7-Zip for extraction
  Changed FEAD support to use PEiD rather than TrID for detection
  Changed following formats to call 7z by name (also see 7-Zip debug comment):
          bz2, chm, gz, tar, Z
		  this is mostly for code cleanup; functionality should be the same
  Fixed InstallShield 5.x regression in 1.6 preventing successful extraction
  Fixed bug in extraction of non-TAR LZW compressed files
  Fixed bug that prevented picking files after toggling history option
  Fixed bug in display of history combo boxes when no items listed
  Fixed cosmetic bug in Visual C++ SFX status dialog
  Fixed cosmetic bug in status dialogs due to extra padding by AutoIt
  Removed lzma helper binary
  Removed msi2xml helper binary and MSXML download link on MSI selection page
  Removed Windows NT 4.0 support from installer
  Removed debug output for 7-Zip, arj, hlp;
          buffers output, preventing proper user feedback and input prompts
  Updated success/fail detection to check output directory timestamp;
          can detect cases where files are overwritten, which old method missed;
          will still consider failed if user chooses not to overwrite files,
          or if all files are written to a subdirectory of the output directory
  Updated RPM and DEB support to extract interim CPIO and TAR files
  Updated FEAD support to workaround read-only permission issue
  Updated Zip support to log unzip output and permit minor reported unzip errors
  Updated PEiD detection of Microsoft SFX cab files for more reliable extraction
  Updated some UniExtract window sizes for better internationalization support
  Updated translations for Italian, Korean, Russian
  Updated 7-Zip to 9.13 beta
  Updated AutoIt to 3.3.6.1 and replaced deprecated _ArrayCreate UDF
  Updated InfoZip unzip to 6.0.0
  Updated Inno Setup to 5.3.9
  Updated innounp to 0.31 (supports Inno Setup 5.3.9)
  Updated InstallExplorer WCX to 0.9.2
  Updated MSI WCX to 1.2.1
  Updated PEiD to 0.95
  Updated UnRAR to 3.93


1.6 (10/17/2008):

  Added support for individual user preferences for better Vista support;
        by default, this is enabled for standalone, disabled for installed
        when enabled, UniExtract uses single .ini file as with previous version
        when disabled, individual prefs/history are saved to registry in HKCU
        this can be changed by modifying globalprefs setting in .ini file
  Added menu bar to main GUI;
        includes options to quit, edit preferences, and visit UniExtract website
  Added separate preferences GUI to provide easy access to all options;
        can be invoked through Edit menu or through '/prefs' argument
  Added support for DiscJuggler CDI CD-ROM images via cdirip.exe
  Added support for FEAD Optimizer packages (eg, Adobe Reader installers)
  Added support for LZMA compressed files via lzma
  Added support for LZX compressed files via unlzx
  Added support for Nero NRG CD-ROM images (data only) via nrg2iso
  Added support for Reflexive Arcade installer wrapper via RAIU
  Added support for RoboForm installers
  Added support for WIM (Windows Imaging Format) images via 7-Zip
  Added "Not an InstallShield installer" option to InstallShield method select
        dialog to force UniExtract to handle TrID InstallShield false positives
  Added components section to installer; makes installation of
        docs, languages, and certain (large) binaries optional
  Added SendTo icon option to installer
  Added internationalization support for decompressed ASPack and UPX files
  Added Croatian, Dutch, Hungarian, Portuguese, Romanian, Taiwanese, Turkish,
        and Valencian (Catalan) translations
  Added return codes to indicated status of extraction (actually added in 1.5):
        0 = successful exit or user-initiated cancel
        1 = supposedly supported file, but extraction failed
        2 = debug file is not writable, aborted
        3 = unknown executable - cannot be extracted
        4 = unknown filetype - cannot be extracted
        5 = invalid output directory specified
  Fixed bug that displayed debugging message box during Inno Setup extraction
  Fixed bug in InstallShield CAB file support; now properly extracts files
        with spaces in the filename
  Fixed support for (non-tar) gzip files
  Fixed support for Microsoft hotfixes (again)
  Fixed support for relative paths
  Fixed support for UNC paths
  Fixed missing Spanish language option during installation
  Removed support for Windows 9x due to new Unicode version of AutoIt;
          9x was never officially supported, but it will not even execute now
  Removed Adobe-specific report (now handled by generic FEAD support)
  Updated UniExtract to prompt user before executing files for extraction;
          can be disabled via warnexecute option
  Updated UniExtract to make ACE, KGB, Pea, and StuffIt support optional
  Updated UniExtract to read English.ini from root install directory
  Updated UniExtract to output debug files to %temp% by default
  Updated UniExtract to verify that debug file location can be written to;
          user's temp directory will be used if selected dir fails test
  Updated UniExtract to disable appendext option by default
  Updated UniExtract changelog to add notice of Vietnamese translation in 1.5
  Updated TrID detection of MS Self-Extracting CAB (Type 1) archives
  Updated TrID detection of Windows Installer (MSI) packages
  Updated TrID detection of Zip Self-Extracting archives
  Updated CD-ROM image support to bypass TrID detection and rely on extensions
  Updated Inno Setup support for increased detection reliability
  Updated Inno Setup support to extract all files, including renamed duplicates
  Updated UHARC support to detect and extract SFX files
  Updated Windows Installer patch (.msp) to include pure 7-zip option
  Updated installer to use Start Menu icons page and include uninstall icon
  Updated installer language initialization code for simplicity
  Updated installer to require administrative privileges;
          non-admin users should use binary archive (portable) version,
          or use a copy installed by the system administrator
  Updated installer to require Windows NT-based systems; 9x will not work
  Updated installer to prevent association with CHM files under Vista
  Updated installer to support new /nowarnexecute paramater
  Updated installer to support reversed appendext default preference;
          now use /appendext to enable instead of /noappendext to disable
  Updated installer to add {app} in addition to {app}\bin to %PATH% if enabled;
          restores ability easily to call UniExtract.exe from command line
  Updated 7-Zip to 4.57
  Updated AutoIt to 3.2.10.0
  Updated innounp to 0.20
  Updated Inno Setup to 5.2.2
  Updated msi2xml to 2.2.1.957
  Updated Pea to 1.6 (cannot use newer version due to broken GUI controls)
  Updated UnRAR to 3.80
  Updated UPX to 3.03
  Updated bin2iso to 1.95


1.5 (02/22/2007):

  Added filetype signature scanning via TrID; no longer dependent on extensions
  Added support for Adobe Reader 7.x and 8.x installers
  Added support for Base64, Quoted-Printable, UUencoded, and yEnc files
        via uudeview
  Added support for Gentee, Installer VISE, and SetupFactory installers
        via cmdTotal + InstallExplorer
  Added support for InstallShield 3.x SFX installers via stix
  Added support for InstallShield 5.x CAB files via i5comp
  Added support for Itsy packages (.ipk)
  Added support for Outlook Express (DBX) archives via cmdTotal + DBX Plugin
  Added support for Pea archives
  Added support for SIS (SymbianOS) installers via cmdTotal + PDunSIS
  Added support for StuffIt packages (.sit, but not .sitx)
  Added support for Windows Installer patch (.msp) files via 7-zip and
        cmdTotal + MSI Plugin
  Added support for Zoo archives via booz
  Added support for files without an extension (eg, unknown files)
  Added /noappendext, /noremovedupe, /noremovetemp parameters to installer
  Added .dbx, .msp, .pea, and .sit file associations to installer
  Added Polish, Russian, Slovak, Spanish, and Vietnamese translations
  Fixed bug that prevented extraction of UPXed Zip and 7-Zip installers
  Fixed bug in Inno Setup installer detection
  Fixed potential file output bug in some installers, mainly InstallShield
  Fixed ACE SFX error handling to continue processing if extraction fails
  Fixed InstallShield cache mode handling to prevent hangs
  Removed 'i6comp by group' option for InstallShield cabs
  Removed expand.exe in favor of using 7-Zip for Microsoft Compressed files
  Removed .in_, .oc_, .sr_, .1, .bin, .imf, .lib, and .wz file associations
          from installer
  Updated UniExtract to scan signatures by default; extensions used as backup
  Updated UniExtract to display icon in system tray during extraction
  Updated UniExtract to select Cancel by default on PEiD and log prompts
  Updated UniExtract internationalization support to simplify translation
  Updated UniExtract with many code changes to increase robustness, simplicity,
          and efficiency wherever possible
  Updated support for Inno Setup, NSIS, Wise Installer, and InstallShield
          via cmdTotal + InstallExplorer
  Updated ACE support to include non-PE ACE SFX archives
  Updated BIN/CUE support with better conversion support and validation
  Updated InstallShield 3.x archives support by adding STIX extraction option
  Updated InstallShield CAB support to display progress dialog
  Updated InstallShield cache extraction to support multiple nested MSIs
  Updated InstallShield cache extraction to better detect installer window
  Updated InstallShield support to provide choice of isxunpack or cache mode
  Updated MHTML support to include option for extraction via
          cmdTotal + MHT Packer Plugin
  Updated Wise Installer support to include non-PE Wise installers
  Updated Wise Installer support to include unzip option
  Updated Wise Installer support to append missing file extensions
  Updated Wise Installer support to provide option for removing temporary files
  Updated Microsoft SFX CAB support for better detection and robustness
  Updated Windows Installer support to append missing file extensions
  Updated Windows Installer support to include option for extraction via
          cmdTotal + MSI Packer Plugin
  Updated AutoIt to 3.2.2.0
  Updated bin2iso to 1.95
  Updated Inno Setup to 5.1.9
  Updated UnRAR to 3.62


1.4.2 (11/28/2006):

  Added preferences page to installer to set defeault UniExtract options
  Added multilingual support to installer (using Inno Setup message files)
  Added multilingual support for context menu entries and installer messages
  Added Chinese (Traditional), Italian, Japanese, and Thai translations
  Fixed UniExtract crash when selecting archive file to extract through GUI
  Fixed support for Windows Installer 2.0
  Fixed combo box bug in history and language lists under Windows 9x
  Fixed path issue under Windows 9x
  Fixed translation error for KGB Self-Extracting archives
  Updated installer to Admin or Power User for context menu association
  Updated innounp to 0.18
  Updated Inno Setup installer to 5.1.8
  Updated Inno Setup CLI Help to 1.1
  Updated Chinese (Simplified) translation
  Updated UniExtract to display status box higher on screen to prevent overlap


1.4.1 (11/21/2006):

  Added Chinese (Simplified), French, and German translations
  Fixed bug in directory selection when archive name is passed to uniextract
  Fixed .imf file association in installer
  Updated UniExtract to allow dynamic GUI language selection
  Updated UniExtract to allow dynamic GUI control positioning
  Updated UniExtract to prevent 100% CPU utilization during GUI display


1.4 (11/18/2006):

  Added support for internationalization
  Added option to disable history
  Added option to specify location for debug file
  Added ability to display log file if extraction fails
  Added /d switch to @comspec calls to disable AutoRun conflicts
  Added support for LIT (Microsoft ebook) files
  Added support for Office 2007 beta installer
  Added minor code optimizations
  Changed UniExtract.exe to run from base directory rather than bin\
  Changed UniExtract.exe to use .ini file for history rather than registry
  Fixed typo in installer
  Updated .exe file scanning process to speed up extraction
  Updated installer to only offer system path option to Admin or Power Users
  Updated KGB decompressor to 1.2.1.24
  Updated UPX to 2.0.3


1.3.1 (09/27/2006):

  Added Start Menu, Dersktop, Quick Launch icon options to installer
  Fixed 7-Zip and InfoZip checks on unknown executables
  Fixed 7-Zip extraction - now bypasses user input to prevent program hangs
  Fixed Windows 9x compatability issues
  Fixed .wz file association
  Updated InstallShield support to recognize additional installers
  Updated UnRAR to 3.61


1.3 (09/15/2006):

  Added support for UHARC archives
  Added support for KGB archives, including encrypted and SFX archives
  Added support for MHTML (.mht) files
  Added support for Wise for Windows Installer installers
  Added support for InstallShield 3.x archives (.z, .1, and .lib) via i3comp
  Added support for decompressing UPX and ASpack files, including .dll files
  Added additional support for MSI files
  Added additional scanning options for PEiD
  Added external database support for PEiD
  Added ability to choose context menu items in installer
  Added support for compressed files (.??_) to installer
  Added command line usage information to installer (run with /?)
  Added support for McAfee SuperDAT updater and CMenu installer
  Fixed support for Microsoft hotfixes
  Fixed miscellaneous typos
  Fixed RPM file association in installer
  Fixed miscellaneous file association bugs in installer
  Updated PEiD to 0.94
  Updated 7-zip to 4.42 (still using 4.40 nsis.dll)
  Updated UnRAR to 3.60
  Updated Inno Setup unpacking to include embedded files
  Updated Inno Setup support to include newer versions
  Updated InstallShield support to include support files with cache option
  Updated file scanning to speed up filetype detection
  Updated Zip support to include files compressed with bzip2
  Updated Zip support to include .wz extension
  Updated Microsoft CAB support to include .imf extension
  Updated Wise and InstallShield filetype detection for accuracy


1.2.1 (05/03/2006):

  Fixed bug in Wise Installer support


1.2 (05/02/2006):

  Added preliminary support for NSIS installers
  Added support for new-style MS SFX installers
  Fixed potential bug in InstallShield  cache method extraction
  Updated 7-zip to 4.40 beta


1.1 (04/20/2006):

  Added support for ISO CD-ROM images, including boot image extraction
  Added support for BIN/CUE CD-ROM images
  Added support for IMG disk images
  Added GUI file and directory history
  Added GUI drag-and-drop support
  Fixed i6comp bug for InstallShield CAB files
  Updated installer to add UniExtract hooks to all supported formats
  Updated GUI default directory selection behavior
  Updated 7-zip to 4.39 beta
  Updated AutoIt to 3.1.1.119 beta


1.0 (01/16/2006):

  Added GUI for file and directory selection
  Added ability to specify destination directory
  Added proper file association options to installer
  Added multiple methods for extracting Wise Installer packages
  Added multiple methods for extracting InstallShield Installer packages
  Added syntax help (UniExtract.exe /help)
  Added additional checks for supported, but unidentified, executables
  Added better output validation
  Added support for .001 RAR archives and .xpi ZIP archives
  Fixed hang error when scanning .exe files
  Fixed registry key causing long file name problems with context integration
  Updated 7-Zip to 4.32
  Updated HWUN to WUN 0.90a
  Updated Is7unpack to IsXunpack 0.99


0.8 (12/06/2005):

  Initial release
